function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
	authorupdate();
	albumupdate();
	genreupdate();
	titleupdate();
	openvid();
	Updatetimetext();
        UpdateMetadata();
    }
}

function openvid() {
	if(player.currentMedia.ImageSourceWidth > 0 ) 
	{
		theme.OpenView('videoscrn');
	} else {
		view.close('videoscrn')
	}
}

function UpdateMetadata()
{
    metadata.value =
        player.currentmedia.getiteminfo("author");
    var temp = player.currentmedia.name;
    if(temp != "")
    {
        if(metadata.value != "")
        {
            metadata.value +=  " - ";
        }
        metadata.value += temp;
    }
    metadata.scrolling = metadata.textWidth>metadata.width;
}

function togglevis() {
	if(key.visible == true)
	{
		barmap.visible = true;
		vistext.visible = true;
		key.visible = false;
		pl.visible = false;
		vis.visible = false;
		visuals.visible = false;
		plpanel.visible = false;
		controlls.visible = false;
		info.visible = false;
		equalizer.visible = false;
		colors.visible = false;
		secret.visible = false;
	} else {
		vis.visible = true;
		visuals.visible = true;
		key.visible = true;
		vistext.visible = true;
		barmap.visible = false;
		controlls.visible = false;
		secret.visible = false;
	}
}


function togglePL() {
	if(plpanel.visible == false)
	{
		plpanel.visible = true;
		pl.visible = true;
		key.visible = true;
		controlls.visible = false;
		visuals.visible = false;
		barmap.visible = false;
		vis.visible = false;
		info.visible = false;
		equalizer.visible = false;
		colors.visible = false;
		secret.visible = false;
	} else {
		key.visible = false;
		barmap.visible = true;
		pl.visible = false;
		plpanel.visible = false;
		vis.visible = false;
		visuals.visible = false;
		controlls.visible = false;
		secret.visible = false;
	}
}

function toggleeq() {
	if(equalizer.visible == false)
	{
		equalizer.visible = true;
		plpanel.visible = false;
		pl.visible = false;
		key.visible = true;
		controlls.visible = false;
		visuals.visible = false;
		barmap.visible = false;
		vis.visible = false;
		info.visible = false;
		colors.visible = false;
		secret.visible = false;
	} else {
		key.visible = false;
		barmap.visible = true;
		pl.visible = false;
		vis.visible = false;
		visuals.visible = false;
		plpanel.visible = false;
		controlls.visible = false;
		equalizer.visible = false;
		secret.visible = false;
	}
}



function togglebuttons() {
	if(controlls.visible == false)
	{
		controlls.visible = true;
		key.visible = true;
		visuals.visible = false;
		barmap.visible = false;
		pl.visible = false;
		plpanel.visible = false;
		vis.visible = false;
		info.visible = false;
		equalizer.visible = false;
		colors.visible = false;
		secret.visible = false;
	} else {
		key.visible = false;
		barmap.visible = true;
		vis.visible = false;
		visuals.visible = false;
		controlls.visible = false;
		pl.visible = false;
		plpanel.visible = false;
		secret.visible = false;
	}
}


function toggleinfo() {
	if(info.visible == false)
	{
		info.visible = true;
		key.visible = true;
		visuals.visible = false;
		barmap.visible = false;
		pl.visible = false;
		plpanel.visible = false;
		vis.visible = false;
		controlls.visible = false;
		equalizer.visible = false;
		colors.visible = false;
		secret.visible = false;
	} else {
		key.visible = false;
		barmap.visible = true;
		info.visible = false;
		pl.visible = false;
		vis.visible = false;
		visuals.visible = false;
		plpanel.visible = false;
		controlls.visible = false;
		secret.visible = false;
	}
}


function togglecolors() {
	if(colors.visible == false)
	{
		colors.visible = true;
		info.visible = false;
		key.visible = true;
		visuals.visible = false;
		barmap.visible = false;
		pl.visible = false;
		plpanel.visible = false;
		vis.visible = false;
		controlls.visible = false;
		equalizer.visible = false;
		barmap.visible = false;
		secret.visible = false;
	} else {
		key.visible = false;
		barmap.visible = true;
		colors.visible = false;
		info.visible = false;
		pl.visible = false;
		vis.visible = false;
		visuals.visible = false;
		plpanel.visible = false;
		controlls.visible = false;
		secret.visible = false;
	}
}





function authorupdate() {
    var temp = player.currentmedia.getiteminfo("author")
    if(temp != "")
    {
        if(authortext.value != "")
        {
            authortext.value +=  " - ";
        }
        authortext.value = temp;
    }
    authortext.scrolling = authortext.textWidth>authortext.width;
	authortext.scrollingamount = 1;
}

function albumupdate() {
    var temp = player.currentmedia.getiteminfo("Album")
    if(temp != "")
    {
        if(albumtext.value != "")
        {
            albumtext.value +=  " - ";
        }
        albumtext.value = temp;
    }
    albumtext.scrolling = albumtext.textWidth>albumtext.width;
	albumtext.scrollingamount = 1;
}

function genreupdate() {
    var temp = player.currentmedia.getiteminfo("Genre")
    if(temp != "")
    {
        if(genretext.value != "")
        {
            genretext.value +=  " - ";
        }
        genretext.value = temp;
    }
    genretext.scrolling = genretext.textWidth>genretext.width;
	genretext.scrollingamount = 1;
}

function titleupdate() {
    var temp = player.currentmedia.getiteminfo("Name")
    if(temp != "")
    {
        if(titletext.value != "")
        {
            titletext.value +=  " - ";
        }
        titletext.value = temp;
    }
    titletext.scrolling = titletext.textWidth>titletext.width;
	titletext.scrollingamount = 1;
}